Skip to main content
GET
/
sync
/
status
Get sync status
curl --request GET \
  --url https://api.nango.dev/sync/status \
  --header 'Authorization: Bearer <token>'
{
  "syncs": [
    {
      "id": "<string>",
      "connection_id": "<string>",
      "name": "<string>",
      "variant": "<string>",
      "status": "RUNNING",
      "type": "INCREMENTAL",
      "finishedAt": "<string>",
      "nextScheduledSyncAt": "<string>",
      "frequency": "<string>",
      "latestResult": {},
      "recordCount": {},
      "checkpoint": {}
    }
  ]
}
The response includes the current checkpoint for each sync, which tracks how far the sync has progressed. Learn more about checkpoints.

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Query Parameters

provider_config_key
string
required

The ID of the integration you established within Nango

syncs
string
required

The name of the syncs you want to fetch a status for, as a comma-separated list. Pass in "*" to return all syncs for the integration. For variants, use the format "syncName::variantName".

connection_id
string

The ID of the connection. If omitted, all connections will be surfaced.

Response

Successfully returned a list of syncs and their status

syncs
object[]